---
title: "Convert Channel to Team"
slug: "convert-channel-to-team"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert Channel to Team

Post/api/v1/channels.convertToTeam

Convert a channel to a team. Permissions required: `create-team`, `edit-room`

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='03a2ae60-62a8-4f57-be3c-ad6addc05273'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b8b1caf3-e691-4962-8af9-dad4532fd900'>Example</option>
</select>Example

```json
{
  "channelId": "6513afeda2f73c7460e18c86"
}
```

object  channelIdstring    Required

The channel's ID. Alternatively, enter the `channelName` parameter and provide the channel's name as the value.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='3ea29958-aa72-4b3b-9e02-8b833f8affe2'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='facce4ac-b8e4-44df-901f-821625c348c5'>Success</option>
</select>Success

```json
{
  "team": {
    "_id": "65149c7ea2f73c7460e18cab",
    "name": "messages",
    "type": 0,
    "createdAt": "2023-09-27T21:19:58.972Z",
    "createdBy": {
      "_id": "rbAXPnMktTFbNpwtJ",
      "username": "roxie"
    },
    "_updatedAt": "2023-09-27T21:19:58.972Z",
    "roomId": "6513afeda2f73c7460e18c86"
  },
  "success": true
}
```

Expand Allobject  teamobject  _idstring    
namestring    
typeinteger    
createdAtstring    
createdByobject  _idstring    
usernamestring    

_updatedAtstring    
roomIdstring    

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='963e9f1c-b6e1-490e-8ef6-c0d0826e3682'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ffaff61e-f65d-4256-a2e2-4d7b48b721e5'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
